kde 3.5 twin view et agrandissement des fenêtres sur les deux écrans

Le
Vincent H.
Bonjour et bon week-end la liste,

Je suis confronté à un problème depuis quelques semaines avec ma
configuration. J'utilise Squeeze avec kde 3.5 et deux écrans sur ma
nvidia en twin view avec le pilote proprio.
Ça fonctionne depuis des années sans problème (au moins 2 ans).

Or depuis quelques semaines mes fenêtres ne se maximisent plus
correctement. Au lieu de s'étendre sur l'écran actif elles s'étendent
sur les deux écrans en entier, ce qui n'a que peu d'intérêt.

J'ai fureté un peu partout sur le net et il semblerait d'après ce que
j'ai pu lire que c'est dû à un bug récent dans kde 3.5. Bug qui ne
sera apparement pas corrigé (!) :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518786
http://linux.derkeiler.com/Mailing-Lists/Debian/2009-03/msg02715.html

Certains parlent d'une solution à ce problème en réalisant un
downgrade de kdesktop and kdebase-bin à la version de Lenny.

Je me demande donc si j'ai bien analysé le problème et si c'est une
bonne idée (je n'aime pas trop l'idée de downgrade), si oui, comment
fait-on s'il vous plait?

Merci d'avance!
--
Vincent

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sylvain Sauvage
Le #19300551
Vincent H., vendredi 8 mai 2009, 12:17:01 CEST

Bonjour et bon week-end la liste,



’jour,

[…]
j'ai pu lire que c'est dû à un bug récent dans kde 3.5. Bu g qui ne
sera apparement pas corrigé (!) :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bugQ8786
http://linux.derkeiler.com/Mailing-Lists/Debian/2009-03/msg02715.html

Certains parlent d'une solution à ce problème en réalisant un
downgrade de kdesktop and kdebase-bin à la version de Lenny.

Je me demande donc si j'ai bien analysé le problème



Ça y ressemble.

et si c'est une bonne idée (je n'aime pas trop l'idée de downgr ade),



Pas plus mauvaise qu’une autre : la version de lenny est une
bonne version, la version de _testing_ ne passe pas les _tests_,
donc on revient à celle de lenny. Logique.
Le seul point d’achoppement, c’est que c’est un b ogue qui ne sera
jamais corrigé. Mais c’est, encore, logique : KDE 3 va di sparaître
de testing, donc le bogue avec.

si oui, comment fait-on s'il vous plait?



Tu mets lenny dans ton sources.list et tu demandes
l’installation des versions lenny, p.ex.
aptitude install -t lenny <paquets>

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Sylvain Sauvage
Le #19312301
[Remis sur la liste (d’où le CC:).
Merci de conserver les discussions sur la liste.

Je note les noms ; le prochain recevra un devis (conséquent)
comme réponse :oP ]

Vincent H., dimanche 10 mai 2009, 19:33:35 CEST

> 2009/5/9 Sylvain Sauvage >>  Tu mets lenny dans ton sources.list et tu demandes
>> l’installation des versions lenny, p.ex.
>>  aptitude install -t lenny <paquets>

Bien, j'ai un souci avec cette manipulation. J'ai ajouté lenny dans
mon sources.list :
[…]
Or j'ai vérifié et la version de lenny de kdesktop par exemple est la
4:3.5.9.dfsg.1-6 et non la 4:3.5.10.dfsg.1-2. Je ne comprends pas
pourquoi ça ne fonctionne pas. Pouvez-vous me donner un indice s'il
vous plait?



Effectivement, l’option -t pour install ne fonctionne pas
comme j’avais compris (= la même chose que mettre /lenny apr ès
chaque paquet). Donc essaie
aptitude install paquet1/lenny paquet2/lenny…

Normalement, ça marche…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Vincent H.
Le #19315411
2009/5/11 Sylvain Sauvage
[Remis sur la liste (d’où le CC:).
 Merci de conserver les discussions sur la liste.



Oula oui je n'avais pas vu que je t'avais répondu en direct. Ce n'est
pourtant pas dans mes habitude. Désolé.
Je comprends mieux pourquoi tu es le seul à me répondre =)
(saleté de gmail)

 Effectivement, l’option -t pour install ne fonctionne pas
comme j’avais compris (= la même chose que mettre /lenny après
chaque paquet). Donc essaie
   aptitude install paquet1/lenny paquet2/lenny…




Apparement ça fonctionne mais je dois remplacer lenny par stable sinon
il ne trouve pas l'archive :
aptitude install kdesktop/stable kdebase-bin/stable

Je tenterais sans doute ce soir. J'ai peur qu'il y ait de la casse.
Merci en tout cas pour le coup de main!
--
Vincent

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Vincent H.
Le #19319411
2009/5/12 Vincent H.
Apparement ça fonctionne mais je dois remplacer lenny par stable sinon
il ne trouve pas l'archive :
aptitude install kdesktop/stable kdebase-bin/stable

Je tenterais sans doute ce soir. J'ai peur qu'il y ait de la casse.



Alors aux nouvelles :
La manipulation n'a rien cassé. Cependant elle n'a rien réparé non
plus. J'ai installé la version lenny des fameux paquets puis redémarr é
X. Toujours pareil. Mes fenêtres s'étalent sur mes deux écrans…

J'ai tenté plusieurs pilotes nvidia avec les paquets lenny (les 173,
177 et 180) mais rien n'y fait. Je suis donc repassé en testing et
j'ai également retesté toutes ces versions des pilotes mais idem.
Je ne dois pas chercher où il faut. J'ai cependant comparé mon fichier
xorg.conf à une sauvegarde de ce dernier fonctionnelle faite en
décembre. La seule différence est l'ajout de chemins pour des fonts.
Tout le reste de la config n'a pas changé donc à priori ça ne vient
pas de là. Il doit y avoir un réglage KDE qui a bougé quelque part ou
bien le bug est en cause aussi pour ce problème mais la solution que
j'ai trouvé sur le net n'est pas la bonne (à savoir remplacer les
paquets kdesktop et kdebase-bin par leur version lenny).

J'ai testé e17 et mes fenêtres s'agrandissent correctement. Donc à
priori c'est bien KDE qui est en cause.

Voilà où j'en suis. Si quelqu'un a une idée je suis preneur. Merci
encore à toi Sylvain pour ton aide sur l'installation de paquets de
version différente.

Bonne soirée à tous.

--
Vincent

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Patrice Pillot
Le #19322391
Vincent H. a écrit :
2009/5/12 Vincent H.
Apparement ça fonctionne mais je dois remplacer lenny par stable sinon
il ne trouve pas l'archive :
aptitude install kdesktop/stable kdebase-bin/stable


[...]
Voilà où j'en suis. Si quelqu'un a une idée je suis preneur. Merci
encore à toi Sylvain pour ton aide sur l'installation de paquets de
version différente.



Il semble qu'il faille ramener kwin aussi, d'après les liens donnés par
Sylvain.

Sinon, vu que kde4 doit arriver prochainement dans squeeze...

pp

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Vincent H.
Le #19322701
2009/5/13 Patrice Pillot

Il semble qu'il faille ramener kwin aussi, d'après les liens donnés p ar
Sylvain.



Ah tiens je n'avais pas vu pour kwin. J'essayerais de changer les 3 en
même temps.

Sinon, vu que kde4 doit arriver prochainement dans squeeze...




C'est le prochainement qui me fait peur.

Merci pour l'info sur kwin.

--
Vincent

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Sylvain Sauvage
Le #19324641
Vincent H., mercredi 13 mai 2009, 09:15:55 CEST

2009/5/13 Patrice Pillot >
> Il semble qu'il faille ramener kwin aussi, d'après les liens donn és par
> Sylvain.



Ce n’était pas moi, les liens, c’était Vincent (il avait tout
fait tout seul en fait, sauf sauter le pas).

Ah tiens je n'avais pas vu pour kwin. J'essayerais de changer les 3 en
même temps.



En effet, il semble logique que le gestionnaire de fenêtre…
« gère » les… « fenêtres  Â» ;o)

> Sinon, vu que kde4 doit arriver prochainement dans squeeze...
>

C'est le prochainement qui me fait peur.



Ça ne se passe pas trop mal en Sid (enfin, une fois tous les
paquets, notamment kaboom, arrivés)…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Vincent H.
Le #19328691
2009/5/13 Sylvain Sauvage
Ah tiens je n'avais pas vu pour kwin. J'essayerais de changer les 3 en
même temps.



 En effet, il semble logique que le gestionnaire de fenêtre…
« gère » les… « fenêtres » ;o)




Il s'agissait bien de kwin! Mes fenêtres se comportent à nouveau
correctement! Quel confort!

Merci à vous deux =)
--
Vincent

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Patrice Pillot
Le #19355401
> C'est le prochainement qui me fait peur.



Alors c'est le moment de se mettre vraiment à trembler....

Upgrade ... upgrade pas ?!

-------- Message original --------
Sujet : KDE4 hits testing in a few hours
Date de renvoi : Sun, 17 May 2009 18:25:56 +0000 (UTC)
De (renvoi) :
Date : Sun, 17 May 2009 18:25:32 +0000 (UTC)
De : Sune Vuorela Organisation : pusling.com internet technologies
Pour :


Just FYI. KDE4 hits testing in a few hours.

/Sune

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
thveillon.debian
Le #19359371
Patrice Pillot a écrit :
C'est le prochainement qui me fait peur.



Alors c'est le moment de se mettre vraiment à trembler....

Upgrade ... upgrade pas ?!

-------- Message original --------
Sujet : KDE4 hits testing in a few hours
Date de renvoi : Sun, 17 May 2009 18:25:56 +0000 (UTC)
De (renvoi) :
Date : Sun, 17 May 2009 18:25:32 +0000 (UTC)
De : Sune Vuorela Organisation : pusling.com internet technologies
Pour :


Just FYI. KDE4 hits testing in a few hours.

/Sune



Salut,

[expérience perso]
après un bonne sauvegarde, j'ai sauté le pas, et c'est exactement le
bazar (euphémisme poli) auquel je m'attendais.

Au niveau strictement "technique" pas vraiment de problème, aptitude
s'en sort bien. Je n'avais aucun "meta-paquet" installé pour kde3, du
coup il manquait beaucoup de choses à kde4 que j'ai dû installer
manuellement, mais sans conflit ni problème. (upgrade effectué en
console, hors de la session kde et avec kdm arrêté).

J'ai dû installer gdm pour réussir à ouvrir une session graphique au
login suivant (kdm plantait systématiquement), la configuration est à
reprendre à zéro malgré les promesses de "l'assistant d'importation des
paramètres de kde3", en fait je pense qu'il vaut bien mieux recréer un
utilisateur "vierge" de tout réglages kde, et repartir de là.

Au niveau des applications ça n'est pas la joie, Amarok fonctionne de
manière stable chez moi, mais il lui manque de nombreuses fonctions.
Digikam est totalement inutilisable, il plante toutes les deux minutes
maximum (d'ailleurs upstream dit également qu'il est inutilisable...).
Gwenview est devenu un autre navigateur de fichiers, un peu plus orienté
images peut être, mais avec Dolphin, okular et Konqueror qui affichent
également les images il peine à trouver sa place.

Les "plasmoïdes" sont très instables, mon bureau plante régulièrement
pendant que je change des réglages...

Pour les bons côté, on sent qu'il y a une infrastructure intéressante au
niveau de l'accès aux réglages de personnalisation, les effets
graphiques sont agréables (quand ils fonctionnent), rien de vraiment
décisif par rapport à kde3...

Mon avis est que ça n'est pas du niveau de testing, c'est toujours de la
beta. Du coup comme je ne veux pas garder des vieux paquets kde3 plus
maintenu dans testing j'ai installé Gnome. Je jetterai un œil à kde4
quand j'aurai le temps.

Bof, bof.
[expérience perso]

Tom

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme